import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';
import { ResourceType,Protocol,WfHistoryEntry } from './model/controller.model';
import { Observable, Observer } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ISService {

  constructor(public client:HttpClient) { }


  loadResourceTypes():Observable<ResourceType[]> {
    return this.client.get<ResourceType[]>("/ajax/resourceTypes");
  }

  loadInfo():Observable<any[]> {
    return this.client.get<any[]>("/ajax/info/");
  }

  loadProtocols():Observable<Protocol[]> {
    return this.client.get<Protocol[]>("/ajax/protocols/");
  }

  loadWfHistory(total?:number, from?:number, to?:number):Observable<WfHistoryEntry[]>  {
    let params = new HttpParams();

    if (total && total > 0) { params = params.append('total', total); }
    if (from && from > 0) {  params = params.append('from', from); }
    if (to && to > 0) {  params = params.append('to', to); }
   
  
    return this.client.get<WfHistoryEntry[]>('/ajax/wfs/', {params: params});
  } 

}
